scim::HelperInfo Struct Reference
Helper

Structure to hold the information of a Helper object. More...

`#include <scim_helper.h>`

## Public Member Functions

| HelperInfo (const String &puuid=String(), const String &pname=String(), const String &picon=String(), const String &pdesc=String(), uint32 opt=0)

## Public Attributes

String | uuid
String | name
String | icon
String | description
uint32 | option

## Detailed Description

Structure to hold the information of a Helper object.

## Constructor & Destructor Documentation

## HelperInfo()

scim::HelperInfo::HelperInfo | ( | const String & | puuid = String (),
|  | const String & | pname = String (),
|  | const String & | picon = String (),
|  | const String & | pdesc = String (),
|  | uint32 | opt = 0 )

inline

References description, icon, name, option, and uuid.

## Member Data Documentation

## uuid

String scim::HelperInfo::uuid

The UUID of this Helper object

Referenced by HelperInfo().

## name

String scim::HelperInfo::name

The Name of this Helper object, UTF-8 encoding.

Referenced by HelperInfo().

## icon

String scim::HelperInfo::icon

The Icon file path of this Helper object.

Referenced by HelperInfo().

## description

String scim::HelperInfo::description

The short description of this Helper object.

Referenced by HelperInfo().

## option

uint32 scim::HelperInfo::option

The options of this Helper object.

See also
  SCIM_HELPER_STAND_ALONE etc.

Referenced by HelperInfo().

The documentation for this struct was generated from the following file:

- scim_helper.h